
clear all; clc;
tic;
data=load('data.txt');
windowlength=500;
%for i=1:size(data,1)-windowlength
    for i=1:size(data,1)-windowlength
fore(:,:,i)=acccforecast(data(i:i+windowlength-1,:));
    end
    for i=1:size(data,1)-windowlength
    hta(i)=fore(1,1,i);
    htb(i)=fore(2,2,i);
    htab(i)=fore(1,2,i);
    end
    hta=hta';
    htb=htb';
    htab=htab';
    ratio=htab./htb;
   toc;